Obter forma de envio
curl --request GET \
--url https://api.tiny.com.br/public-api/v3/formas-envio/{idFormaEnvio} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.tiny.com.br/public-api/v3/formas-envio/{idFormaEnvio}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tiny.com.br/public-api/v3/formas-envio/{idFormaEnvio}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"nome": "<string>",
"tipo": 0,
"situacao": 1,
"id": 123,
"gatewayLogistico": {
"id": 123,
"nome": "<string>"
},
"formasFrete": [
{
"id": 123,
"nome": "<string>",
"codigo": "<string>",
"codigoExterno": "<string>",
"tipoEntrega": 0
}
]
}{
"mensagem": "Ocorreram erros de validação",
"detalhes": [
{
"campo": "codigo",
"mensagem": "O campo código é obrigatório"
}
]
}Logistica
Obter forma de envio
GET
/
formas-envio
/
{idFormaEnvio}
Obter forma de envio
Path Parameters
Response
OK
- 0 - Sem Frete
- 1 - Correios
- 2 - Transportadora
- 3 - Mercado Envios
- 4 - B2w Entrega
- 5 - Correios Ff
- 6 - Customizado
- 7 - Jadlog
- 8 - Totalexpress
- 9 - Olist
- 10 - Gateway
- 11 - Magalu Entregas
- 12 - Shopee Envios
- 13 - Ns Entregas
- 14 - Viavarejo Envvias
- 15 - Madeira Envios
- 16 - Ali Envios
- 17 - Loggi
- 18 - Conecta La Etiquetas
- 19 - Amazon Dba
- 20 - Magalu Fulfillment
- 21 - Ns Magalu Entregas
- 22 - Shein Envios
- 23 - Mandae
- 24 - Olist Envios
- 25 - Kwai Envios
- 26 - Beleza Envios
- 27 - Tiktok Envios
- 28 - Hub Envios
- 29 - Forma Teste
- 30 - Posta Ja
- 31 - Temu Envios
- 32 - Nuvem Envio
- 33 - Kabum Magalu Entregas
- 34 - Enviali
- 35 - Smart Connect
Available options:
0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35 - 1 - Habilitada
- 2 - Desabilitada
Available options:
1, 2 Show child attributes
Show child attributes
Show child attributes
Show child attributes
